Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.key
Class RawSecretKey

    java.lang.Object
      |
      +--cryptix.provider.key.RawKey
            |
            +--cryptix.provider.key.RawSecretKey

public class RawSecretKey
extends RawKey
implements SecretKey

RawSecretKey implements a secret key in raw format. RawKeyGenerator creates keys that are instances of this class.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.2 $

Since:
  Cryptix 2.2.2
Author:
  David Hopwood, Raif S. Naffah
See Also:
  Serialized Form

Fields inherited from interface java.security.Key
`serialVersionUID`

Constructor Summary
`RawSecretKey(java.lang.String algorithm, byte[] data)` Constructs a secret key with the specified algorithm and raw-encoded data array.
`RawSecretKey(java.lang.String algorithm, byte[] data, int offset, int length)` Constructs a secret key with the specified algorithm and raw-encoded data subarray.

Methods inherited from class cryptix.provider.key.RawKey
`equals, getAlgorithm, getEncoded, getFormat, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawSecretKey

    public RawSecretKey(java.lang.String algorithm,
                        byte[] data)

  Constructs a secret key with the specified algorithm and raw-encoded data array.
  Parameters:
    `algorithm` - the name of the algorithm
    `data` - the key's raw-encoded data
  Throws:
    NullPointerException - if algorithm == null || data == null

### RawSecretKey

    public RawSecretKey(java.lang.String algorithm,
                        byte[] data,
                        int offset,
                        int length)

  Constructs a secret key with the specified algorithm and raw-encoded data subarray.
  Parameters:
    `algorithm` - the name of the algorithm
    `data` - the key's raw-encoded data
    `offset` - the offset of the encoding in data
    `length` - the length of the encoding
  Throws:
    NullPointerException - if algorithm == null || data == null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.